# ***************************************************************************
# *                                                                         *
# *   Copyright (c) 2015 - Bernd Hahnebach <bernd@bimstatik.org>            *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU Lesser General Public License (LGPL)    *
# *   as published by the Free Software Foundation; either version 2 of     *
# *   the License, or (at your option) any later version.                   *
# *   for detail see the LICENCE text file.                                 *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU Library General Public License for more details.                  *
# *                                                                         *
# *   You should have received a copy of the GNU Library General Public     *
# *   License along with this program; if not, write to the Free Software   *
# *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  *
# *   USA                                                                   *
# *                                                                         *
# ***************************************************************************

__title__ = "FemBeamSection"
__author__ = "Bernd Hahnebach"
__url__ = "http://www.freecadweb.org"


import FreeCAD
import FemGui
import _FemBeamSection


def makeFemBeamSection(width=20.0, height=20.0, name="BeamSection"):
    '''makeFemBeamSection([width], [height], [name]): creates an beamsection object to define a cross section'''
    obj = FemGui.getActiveAnalysis().Document.addObject("Fem::FeaturePython", name)
    _FemBeamSection._FemBeamSection(obj)
    obj.Width = width
    obj.Height = height
    if FreeCAD.GuiUp:
        import _ViewProviderFemBeamSection
        _ViewProviderFemBeamSection._ViewProviderFemBeamSection(obj.ViewObject)
    return obj
